<?
function myODBC(){ if (!is_object($GLOBALS['myODBC'])) $GLOBALS['myODBC']=new i_myODBC();return($GLOBALS['myODBC']);}

class i_myODBC
{   var $conn ;

	function __construct()
	{
		if (!function_exists('odbc_connect'))
		{ echo 'Не установлен модуль odbc (функция odbc_connect не объявлена)<br>' ;
		   LOGS()->reg_log('import_pass_from_skud','Не установлен модуль odbc (функция odbc_connect не объявлена)') ;
		   return ;
		}

		//LOGS()->reg_log('import_pass_from_skud','Начинаем импорт фото из СКУД, база MSSQL<br>Запрашиваем квитанцию керберос для авторизации сеанса') ;
		//echo 'Начинаем импорт фото из СКУД, база MSSQL<br>Запрашиваем квитанцию керберос для авторизации сеанса<br>' ;
		exec('kinit -k -t '.$GLOBALS['LS_magnit_svc_esmo_import_keytab'].' svc_esmo_import') ;
		//LOGS()->reg_log('import_pass_from_skud','Запрос квитанции выполнен, подключаемся к БД MSSQL') ;
		//echo 'Запрос квитанции выполнен, подключаемся к БД MSSQL<br>' ;

		$this->conn=odbc_connect("mssql",'','') ;
		if (is_resource($this->conn)) { LOGS()->reg_log('import_pass_from_skud','Подключение к БД MSSQL выполнено успешно') ;
										echo 'Подключение к БД MSSQL выполнено успешно<br>' ;
									  }
        else                          { LOGS()->reg_log('import_pass_from_skud','Не удалось подкдючиться к БД MSSQL') ;
                                        echo 'Не удалось подкдючиться к БД MSSQL<br>' ;
                                      }

	}

	function execSQL($sql)
	{	$res=odbc_exec($this->conn,$sql) ;
		$result=array() ;
		while(($rec=odbc_fetch_array($res))!==false) $result[]=$rec ;
		return($result) ;
	}

	function execSQL2($sql,$options=array())
  {
   $t=fixed_time() ;
   $res=odbc_exec($this->conn,$sql) ;
   $result=array() ;
   if ($res!==false) while(($rec=odbc_fetch_array($res))!==false) $result[]=$rec ;
   echo $sql.'<br>' ;
   echo 'Возвращено строк: '.sizeof($result).'<br>' ;
   fixed_time($t,'время запроса') ;
   return($result) ;
  }

}


?>
